void main( void )
{
 //The furers ..
 say_stop("`4早上好啊先生", &current_sprite);
}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 choice_start()
(&story < 11)"关于小店"
(&story > 10)"了解情况"
 "看看货物"
 "离开"
 choice_end()
  if (&result == 1)
  {        
   say_stop("毛皮生意怎么样？", 1);
   wait(250);
   say_stop("`4还好，不过来买毛皮的不是很多。", &current_sprite);
   wait(250);
   say_stop("`4大多数人都只是要去北方大陆。", &current_sprite);
   wait(250);
   say_stop("你们也信奉鸭子吗？", 1);
   wait(250);
   say_stop("`4是的，不过只是因为整个小区都信鸭。", &current_sprite);
   wait(250);
   say_stop("`4这是个很奇怪的习惯，我不清楚", &current_sprite);
   wait(250);
   say_stop("`4他们有些人不吃东西的是怎么活。", &current_sprite);
   wait(250);
   say_stop("`4这么长的。", &current_sprite);
   wait(250);
   say_stop("是啊，确实很奇怪。", 1);
   wait(250);
   say_stop("那你怎么弄吃的？", 1);
   wait(250);
   say_stop("`4我吗？我不是从这里来的，所以知道", &current_sprite);
   wait(250);
   say_stop("`4还可以吃些别的东西。我靠汤和药草充饥。", &current_sprite);
   wait(250);
   say_stop("`4不像本地人只吃肉和蛋。", &current_sprite);
  }
  if (&result == 2)
  {
   say_stop("小店如何啊？", 1);
   wait(250);
   say_stop("`4啊天啊，多亏了你丁克，最近生意很好啊，", &current_sprite);
   wait(250);
   say_stop("`4我欠你好大的人情啊。", &current_sprite);
   wait(250);
   say_stop("啊，哈哈，我也没做那么多。", 1);
   wait(250);
   say_stop("只是让村民看看什么东西能吃嘛。", 1);
   wait(250);
   say_stop("`4可能吧，丁克先生，可不管怎么样，我的生意也由此兴隆了。", &current_sprite);
   wait(350);
   say_stop("`4我想旅行者们也都听说了这里的", &current_sprite);
   wait(250);
   say_stop("`4饥荒结束了。", &current_sprite);
   wait(250);
   say_stop("`4多谢你，丁克，如果有需要的话，尽管说。", &current_sprite);
  }
  if (&result == 3)
  {
   say_stop("你们卖什么呢？", 1);
   wait(250);
   say_stop("`4死去的东西上搜刮来的物件", &current_sprite);
   wait(250);
   say_stop("啊，了解了。", 1);        
   //Let Dink buy stuff ...
  }
 unfreeze(1);
 unfreeze(&current_sprite);
}

void hit( void )
{
 if (&story > 10)
 {
  say_stop("`3你在玩什么？先救我们再杀我们？！", &current_sprite);
  return;
 }
 say_stop("`3不要啊，先生，我只是做做小生意而已。", &current_sprite);
}
